Bug 1575989 - Duplicate imports of oslo_config types
Summary: Duplicate imports of oslo_config types
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova
Version: 10.0 (Newton)
Hardware: x86_64
OS: Linux
low
low
Target Milestone: z9
: 10.0 (Newton)
Assignee: Lee Yarwood
QA Contact: nova-maint
URL:
Whiteboard:
Depends On: 1575985 1575987
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-08 13:36 UTC by Lee Yarwood
Modified: 2019-09-09 15:37 UTC (History)
12 users (show)

Fixed In Version: openstack-nova-14.1.0-20.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1575987
Environment:
Last Closed: 2018-09-17 16:50:53 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2714 0 None None None 2018-09-17 16:52:15 UTC

Description Lee Yarwood 2018-05-08 13:36:16 UTC
+++ This bug was initially created as a clone of Bug #1575987 +++

+++ This bug was initially created as a clone of Bug #1575985 +++

Description of problem:

Accidentally introduced when via #1570941 and its associated backports.

$ tox -e pep8
[..]
./nova/conf/libvirt.py:27:1: F811 redefinition of unused 'types' from line 25

Comment 1 Lon Hohberger 2018-05-22 10:37:08 UTC
According to our records, this should be resolved by openstack-nova-14.1.0-22.el7ost.  This build is available now.

Comment 3 Alex McLeod 2018-09-03 08:02:03 UTC
Hi there,

If this bug requires doc text for errata release, please set the 'Doc Type' and provide draft text according to the template in the 'Doc Text' field.

The documentation team will review, edit, and approve the text.

If this bug does not require doc text, please set the 'requires_doc_text' flag to -.

Thanks,
Alex

Comment 5 errata-xmlrpc 2018-09-17 16:50:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2714


Note You need to log in before you can comment on or make changes to this bug.